<div class="login-page" [@routerTransition]>
    <div class="row justify-content-md-center">
        <div class="col-md-4">
            <img src="assets/images/logo.png" width="150px" class="user-avatar" />
            <h1> Dashboard </h1>
            <h2> OAR - TaskManager </h2>
            <form #f="ngForm" (ngSubmit)="onSubmit(f)" novalidate>
                <div class="form-content">
                    <div class="form-group">
                        <label for="loginType">Login : </label>
                        <input name="nameLogin" ngModel required #nameLogin="ngModel">
                    </div>
                    <div class="form-group">
                        <label for="loginType">Password : </label>
                        <input name="pwdLogin" ngModel required #pwdLogin="ngModel">
                    </div>
                </div>
                <a class="btn rounded-btn" [routerLink]="['/signup']">Register</a>&nbsp;
                <a class="btn rounded-btn" [routerLink]="['/dashboard']" (click)="onLoggedin()"> Log in </a>
            </form>
        </div>
    </div>
</div>
